Package: org.apache.groovy.json.internal

## [Java] Class LazyMap

- org.apache.groovy.json.internal.LazyMap

-     public class LazyMap
      extends AbstractMap

  This maps only builds once you ask for a key for the first time. It is designed to not incur the overhead of creating a map unless needed.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LazyMap()`
    `LazyMap(int initialSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public LazyMap` | `clearAndCopy()`
    `` | `protected Object` | `clone()`
    `` | `public boolean` | `containsKey(Object key)`
    `` | `public boolean` | `containsValue(Object value)`
    `` | `public Set<Entry<String, Object>>` | `entrySet()`
    `` | `public boolean` | `equals(Object o)`
    `` | `public Object` | `get(Object key)`
    `<V>` | `public static V[]` | `grow(V[] array)`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isEmpty()`
    `` | `public Set<String>` | `keySet()`
    `` | `public Object` | `put(String key, Object value)`
    `` | `public void` | `putAll(Map m)`
    `` | `public Object` | `remove(Object key)`
    `` | `public int` | `size()`
    `` | `public String` | `toString()`
    `` | `public Collection<Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, containsKey, keySet, containsValue, wait, wait, wait, getClass, notify, notifyAll, remove, replace, replace, replaceAll, merge, putIfAbsent, compute, forEach, computeIfAbsent, getOrDefault, computeIfPresent`

- - ### Constructor Detail

    - #### public LazyMap()

    - #### public LazyMap(int initialSize)

  - ### Method Detail

    - #### @Override public void clear()

    - #### public LazyMap clearAndCopy()

    - #### @Override protected Object clone()

    - #### @Override public boolean containsKey(Object key)

    - #### @Override public boolean containsValue(Object value)

    - #### @Override public Set<Entry<String, Object>> entrySet()

    - #### @Override public boolean equals(Object o)

    - #### @Override public Object get(Object key)

    - #### <V> public static V[] grow(V[] array)

    - #### @Override public int hashCode()

    - #### @Override public boolean isEmpty()

    - #### @Override public Set<String> keySet()

    - #### @Override public Object put(String key, Object value)

    - #### @Override public void putAll(Map m)

    - #### @Override public Object remove(Object key)

    - #### @Override public int size()

    - #### @Override public String toString()

    - #### @Override public Collection<Object> values()